osx:
	swig -java -c++ CBT.i
	/home/hgsc/bin/gcc -DGCC3 -c CBT.cxx CBT_wrap.cxx -I$(CBT_ROOT)/include -I$(CBT_ROOT) -I/home/hgsc/JDK/include 
	/home/hgsc/bin/gcc -dynamiclib -L$(CBT_ROOT)/lib CBT.o CBT_wrap.o $(CBT_ROOT)/lib/libcbt.a -lz -lstdc++ -o libAceSketch.jnilib


linux:
	swig -java -c++ CBT.i
	/home/hgsc/bin/gcc -DGCC2 -c CBT.cxx CBT_wrap.cxx -I$(CBT_ROOT)/include -I$(CBT_ROOT) -I/home/hgsc/JDK/include -I/home/hgsc/JDK/include/linux
	/home/hgsc/bin/gcc -shared -L$(CBT_ROOT)/lib CBT.o CBT_wrap.o $(CBT_ROOT)/lib/libgzstream.a $(CBT_ROOT)/lib/libcbt.a -lz -lstdc++ -o libAceSketch.linux.so


solaris:
	swig -java -c++ CBT.i
	/home/hgsc/bin/gcc -DGCC2 -c CBT.cxx CBT_wrap.cxx -I$(CBT_ROOT)/include -I$(CBT_ROOT) -I/home/hgsc/JDK/include -I/home/hgsc/JDK/include/solaris
	/home/hgsc/bin/gcc -shared -L$(CBT_ROOT)/lib CBT.o CBT_wrap.o $(CBT_ROOT)/lib/libcbt.a -lz -lstdc++ -o libAceSketch.solaris.so



java:
	javac *.java 
	jar -cvf TemplateViewer.jar *.jnilib *.class 

jar: 
	jar -cvf TemplateViewer.jar *.jnilib *.class 

universaljar: 
	jar -cvf TemplateViewer.jar *.jnilib *.so *.class 

install: 
	cp -f TemplateViewer.jar /home/hgsc/share/lib/java/TemplateViewer/


package:
	mkdir -p bcmaceplots
	mkdir -p bcmaceplots/src
	cp -f *.java *.cxx CBT.i nopackage.mk bcmaceplots/src/
	cp -f README TemplateViewer.jar bcm-ace-plots gaab.ace bcmaceplots/
	tar -czvf bcmaceplots.tgz bcmaceplots


clean:
	rm -f *.jar 
	rm -f *.o
	rm -f *.class
	rm -f *.jnilib