//========================================================================================
// main.java
// ---------------------------------------------------------------------------------------
//
//----------------------------------------------------------------------------------------
// $Id: //CBT-depot/CompBioTools++/includes/Mer.hh#1 $
//----------------------------------------------------------------------------------------
//
//========================================================================================
//.......1.........2.........3.........4.........5.........6.........7.........8.........9
//
//
import javax.swing.*;
import javax.swing.event.MouseInputAdapter;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.io.*;
import java.net.*;


public class testurl {


		static {
				LoadLibrary("AceSketch");
		}  


		public static String GetOS(){
				// Get all system properties
				Properties props = System.getProperties();
				String propValue = (String)props.get("os.name");
				return(propValue);
		}
		
		public static void LoadLibrary(String RootName){
				String os = GetOS();
				String ResourceName="",TempResourceRoot="",TempResourceSuffix="";
				if (os.equals("Mac OS X")){
						ResourceName = "/lib"+RootName+".jnilib";
						TempResourceRoot="temp"+RootName;
						TempResourceSuffix = ".jnilib";
				}else if (os.equals("Linux")){
						// for now, assume Linux means linux i386... 
						ResourceName = "/lib"+RootName+".linux.so";
						TempResourceRoot="temp"+RootName;
						TempResourceSuffix = ".linux.so";
				}else if (os.equals("SunOS")){
						ResourceName = "/lib"+RootName+".solaris.so";
						TempResourceRoot="temp"+RootName;
						TempResourceSuffix = ".solaris.so";
				}else{
						System.out.println("Unrecognized OS: "+os);
						System.out.println("This software uses native libraries.  Libraries for "+os+" not available.");
						System.exit(1);
				}
				// ... and so on for other OSs...


				System.out.println("NativeLoader RootName="+RootName+" os="+os+" ResourceName="+ResourceName);


				try{
						URL ResourceURL = testurl.class.getResource(ResourceName);
						System.out.println("URL: "+ResourceURL.toString());
						InputStream inputStream = ResourceURL.openStream();
				}catch (IOException ie){
						System.out.println("Unable to get Resource.");
				}    
		}		

		//--------------------------------
		// * main
		//--------------------------------
		//
		public static void main(String argv[]) 
		{
				testurl t = new testurl();

				
		}		
}
